Bug 1631019 - [RFE] Satellite 6.x bootstrap is too aggressive and shouldn't run 'yum clean all'
Summary: [RFE] Satellite 6.x bootstrap is too aggressive and shouldn't run 'yum clean ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Bootstrap
Version: 6.3.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Evgeni Golov
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-19 18:20 UTC by Vincent S. Cojot
Modified: 2019-05-14 12:38 UTC (History)
2 users (show)

Fixed In Version: katello-client-bootstrap-1.7.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github Katello katello-client-bootstrap pull 280 None None None 2018-12-18 10:19:58 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:10 UTC

Description Vincent S. Cojot 2018-09-19 18:20:45 UTC
Description of problem:


Satellite 6.x is too aggressive in removing things on local host:

https://github.com/Katello/katello-client-bootstrap/blob/master/bootstrap.py#L394

Instead of 'yum clean all', it would be sufficient to run:
'yum clean headers metadata dbcache'

The unexpected side effect of having bootstrap do that when you have a shared rpm cache on NFS, is that the first host to run bootstrap wiped the NFS rpms cache on the NFS server.

Comment 5 errata-xmlrpc 2019-05-14 12:38:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.